Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class CRDInfo

    java.lang.Object
      jet.server.api.crd.CRDInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CubeInfo

    public class CRDInfo

extends java.lang.Object
implements java.io.Serializable

CRD (cached report data) information contains catalog, query etc.

See Also:
  Serialized Form

Field Summary
`static int` | `CACHE_TYPE_BV`
`static int` | `CACHE_TYPE_BVANDDETAIL`
`static int` | `CACHE_TYPE_DETAIL`
`static int` | `QUERY_TYPE_HIERARCHICAL` Property of CRD type of Hierarchical Data Source
`static int` | `QUERY_TYPE_IMPORTED_SQL` Property of CRD type of Imported SQLs.
`static int` | `QUERY_TYPE_PARAMETER` The parameters which type is 'Bind with Single Column' or 'Bind with Cascading Columns'
`static int` | `QUERY_TYPE_QUERY` Property of CRD type of Query.
`static int` | `QUERY_TYPE_QUEYR` Deprecated. As of v10.1, replaced by QUERY_TYPE_QUERY.
`static int` | `QUERY_TYPE_STORED_PROCEDURE` Property of CRD type of Stored Procedures.
`static int` | `QUERY_TYPE_USER_DEFINED` Property of CRD type of User Defined.
`static short` | `STATUS_BUILDING` Indicates a cube's status is building (value=2).
`static short` | `STATUS_COMPLETED` Indicates a cube's status is completed (value=4).
`static short` | `STATUS_DISABLED` Indicates a cube's status is disabled (value=5).
`static short` | `STATUS_PENDING` Indicates a cube's status is pending (value=1).
`static short` | `STATUS_UPDATING` Indicates a cube's status is updating (value=3).

Constructor Summary
`CRDInfo(java.lang.String catalogPath, java.lang.String dataSource, int queryType, java.lang.String queryName)` Constructs `CRDInfo` with specified catalog path, data source name, query type and query name.
`CRDInfo(java.lang.String catalogPath, java.lang.String dataSource, int queryType, java.lang.String queryName, int cacheType)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the object if equals to this.
`int` | `getCacheType()`
`java.lang.String` | `getCatalogName()` Gets catalog name of this `CRDInfo`.
`java.lang.String` | `getCatalogPath()` Gets catalog path of this `CRDInfo`.
`CRDInfoKey` | `getCRDKey()` Gets `CRD` key.
`long` | `getCreatedTime()` Gets created time of this `CRDInfo`.
`java.lang.String` | `getDataSource()` Gets data source of this `CRDInfo`.
`java.util.Date` | `getLastModified()` Gets last modified of this `CRDInfo`.
`java.lang.String` | `getLoginUser()`
`java.lang.String` | `getParamFile()` Gets parameter file of running `CRD` to generate result.
`java.util.Map<java.lang.String,java.lang.String[]>` | `getParamValues()` Returns parameter values.
`java.lang.String` | `getPassword()` Deprecated. since version 13.1, replaced by `getPasswords()`
`java.util.Map<java.lang.String,java.lang.String>` | `getPasswords()` get passwords for jdbc type connections
`java.lang.String` | `getQueryName()` Gets query name of this `CRDInfo`.
`int` | `getQueryType()` Gets query type of this `CRDInfo`.
`java.util.Vector<CRDRunDetail>` | `getRunDetails()` get detailed info of every time crd run.
`java.util.Map<java.lang.String,java.lang.String[]>` | `getRuntimeParamValues()` Returns runtime parameter values.
`int` | `getRunTimes()` get how many times crd is run after crd created.
`short` | `getStatus()` get status of a cube, return value may be may be `STATUS_PENDING`, `STATUS_BUILDING`, `STATUS_BUILDING`, `STATUS_UPDATING`, `STATUS_COMPLETED`, or `STATUS_DISABLED`.
`java.lang.String` | `getTaskId()` Gets task id.
`java.lang.String` | `getUserName()` Deprecated. since version 13.1, replaced by `getUserNames()`
`java.util.Map<java.lang.String,java.lang.String>` | `getUserNames()` get user names for jdbc type connections
`boolean` | `isLazy()` Checks whether is lazy, true means the result will be generated when the result used firstly.
`void` | `setCacheType(int cacheType)`
`void` | `setCatalogPath(java.lang.String catalogPath)` Sets catalog path of this `CRDInfo` catalog resource tree real path.
`void` | `setCreatedTime(long createdTime)` Sets created time of this `CRDInfo`.
`void` | `setDataSource(java.lang.String dataSource)` Sets data source of this `CRDInfo`.
`void` | `setLastModified(java.util.Date lastModified)` Sets last modified of this `CRDInfo`.
`void` | `setLazy(boolean lazy)` Sets lazy, true means the result is generated when the result used firstly.
`void` | `setLoginUser(java.lang.String loginUser)`
`void` | `setParamFile(java.lang.String paramFile)` Sets parameter file of running `CRD` to generate result.
`void` | `setPassword(java.lang.String password)` Deprecated. since veriso 13.1, replaced by `setPasswords(Map)`
`void` | `setPasswords(java.util.Map<java.lang.String,java.lang.String> passwords)` set passwords for jdbc type connections
`void` | `setQueryName(java.lang.String queryName)` Sets query name of this `CRDInfo`.
`void` | `setQueryType(int queryType)` Sets query type of this `CRDInfo`.
`void` | `setTaskId(java.lang.String taskId)` Sets task id.
`void` | `setUserName(java.lang.String userName)` Deprecated. since version 13.1, replaced by `setUserNames(Map)`
`void` | `setUserNames(java.util.Map<java.lang.String,java.lang.String> userNames)` set user names for jdbc type connections
`java.lang.String` | `toString()` Converts this object to string information.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATUS_PENDING

    public static final short STATUS_PENDING

  Indicates a cube's status is pending (value=1).

  See Also:
    Constant Field Values

### STATUS_BUILDING

    public static final short STATUS_BUILDING

  Indicates a cube's status is building (value=2).

  See Also:
    Constant Field Values

### STATUS_UPDATING

    public static final short STATUS_UPDATING

  Indicates a cube's status is updating (value=3).

  See Also:
    Constant Field Values

### STATUS_COMPLETED

    public static final short STATUS_COMPLETED

  Indicates a cube's status is completed (value=4).

  See Also:
    Constant Field Values

### STATUS_DISABLED

    public static final short STATUS_DISABLED

  Indicates a cube's status is disabled (value=5).

  See Also:
    Constant Field Values

### QUERY_TYPE_QUERY

    public static final int QUERY_TYPE_QUERY

  Property of CRD type of Query.

  See Also:
    Constant Field Values

### QUERY_TYPE_QUEYR

    public static final int QUERY_TYPE_QUEYR

  Deprecated. As of v10.1, replaced by QUERY_TYPE_QUERY.
  Property of CRD type of Query.

  See Also:
    Constant Field Values

### QUERY_TYPE_STORED_PROCEDURE

    public static final int QUERY_TYPE_STORED_PROCEDURE

  Property of CRD type of Stored Procedures.

  See Also:
    Constant Field Values

### QUERY_TYPE_IMPORTED_SQL

    public static final int QUERY_TYPE_IMPORTED_SQL

  Property of CRD type of Imported SQLs.

  See Also:
    Constant Field Values

### QUERY_TYPE_USER_DEFINED

    public static final int QUERY_TYPE_USER_DEFINED

  Property of CRD type of User Defined.

  See Also:
    Constant Field Values

### QUERY_TYPE_HIERARCHICAL

    public static final int QUERY_TYPE_HIERARCHICAL

  Property of CRD type of Hierarchical Data Source

  See Also:
    Constant Field Values

### QUERY_TYPE_PARAMETER

    public static final int QUERY_TYPE_PARAMETER

  The parameters which type is 'Bind with Single Column' or 'Bind with Cascading Columns'

  See Also:
    Constant Field Values

### CACHE_TYPE_DETAIL

    public static final int CACHE_TYPE_DETAIL

See Also:
  Constant Field Values

### CACHE_TYPE_BV

    public static final int CACHE_TYPE_BV

See Also:
  Constant Field Values

### CACHE_TYPE_BVANDDETAIL

    public static final int CACHE_TYPE_BVANDDETAIL

See Also:
  Constant Field Values

Constructor Detail

### CRDInfo

    public CRDInfo(java.lang.String catalogPath,
                   java.lang.String dataSource,
                   int queryType,
                   java.lang.String queryName)

  Constructs `CRDInfo` with specified catalog path, data source name, query type and query name.

  Parameters:
    `catalogPath` - catalog path.
    `dataSource` - data source.
    `queryType` - query type.
    `queryName` - query name.

### CRDInfo

    public CRDInfo(java.lang.String catalogPath,
                   java.lang.String dataSource,
                   int queryType,
                   java.lang.String queryName,
                   int cacheType)

Method Detail

### getCatalogName

    public java.lang.String getCatalogName()

  Gets catalog name of this `CRDInfo`.

  Returns:
    catalog name of this `CRDInfo`.

### getLastModified

    public java.util.Date getLastModified()

  Gets last modified of this `CRDInfo`.

  Returns:
    last modified of this `CRDInfo`.

### setLastModified

    public void setLastModified(java.util.Date lastModified)

  Sets last modified of this `CRDInfo`.

  Parameters:
    `lastModified` - last modified of this `CRDInfo`.

### getCreatedTime

    public long getCreatedTime()

  Gets created time of this `CRDInfo`.

  Returns:
    created time of this `CRDInfo`.

### setCreatedTime

    public void setCreatedTime(long createdTime)

  Sets created time of this `CRDInfo`.

  Parameters:
    `createdTime` - createdTime of this `CRDInfo`.

### getUserName

    public java.lang.String getUserName()

  Deprecated. since version 13.1, replaced by `getUserNames()`

  Gets user name of data source.

  Returns:
    user name of data source.

### setUserName

    public void setUserName(java.lang.String userName)

  Deprecated. since version 13.1, replaced by `setUserNames(Map)`

  Sets user name of data source.

  Parameters:
    `userName` - user name of data source.

### getPassword

    public java.lang.String getPassword()

  Deprecated. since version 13.1, replaced by `getPasswords()`

  Gets password of data source.

  Returns:
    password of data source.

### setPassword

    public void setPassword(java.lang.String password)

  Deprecated. since veriso 13.1, replaced by `setPasswords(Map)`

  Sets password of data source.

  Parameters:
    `password` - password of data source

### getUserNames

    public java.util.Map<java.lang.String,java.lang.String> getUserNames()

  get user names for jdbc type connections

  Returns:
    user names map, key is connection name, value is user name

### setUserNames

    public void setUserNames(java.util.Map<java.lang.String,java.lang.String> userNames)

  set user names for jdbc type connections

  Parameters:
    `userNames` - user names map, key is connection name, value is user name

### getPasswords

    public java.util.Map<java.lang.String,java.lang.String> getPasswords()

  get passwords for jdbc type connections

  Returns:
    password map, key is connection name, value is password.

### setPasswords

    public void setPasswords(java.util.Map<java.lang.String,java.lang.String> passwords)

  set passwords for jdbc type connections

  Parameters:
    `passwords` - password map, key is connection name, value is password.

### getParamFile

    public java.lang.String getParamFile()

  Gets parameter file of running `CRD` to generate result.

  Returns:
    parameter file of running `CRD` to generate result.

### setParamFile

    public void setParamFile(java.lang.String paramFile)

  Sets parameter file of running `CRD` to generate result.

  Parameters:
    `paramFile` - parameter file of running `CRD` to generate result.

### isLazy

    public boolean isLazy()

  Checks whether is lazy, true means the result will be generated when the result used firstly.

  Returns:
    lazy

### setLazy

    public void setLazy(boolean lazy)

  Sets lazy, true means the result is generated when the result used firstly.

  Parameters:
    `lazy` -

### getCatalogPath

    public java.lang.String getCatalogPath()

  Gets catalog path of this `CRDInfo`.

  Returns:
    catalog path of this `CRDInfo`.

### getDataSource

    public java.lang.String getDataSource()

  Gets data source of this `CRDInfo`.

  Returns:
    data source of this `CRDInfo`.

### getQueryName

    public java.lang.String getQueryName()

  Gets query name of this `CRDInfo`.

  Returns:
    query name of this `CRDInfo`.

### getQueryType

    public int getQueryType()

  Gets query type of this `CRDInfo`.

  Returns:
    query type of this `CRDInfo`.

### setCatalogPath

    public void setCatalogPath(java.lang.String catalogPath)

  Sets catalog path of this `CRDInfo` catalog resource tree real path.

  Parameters:
    `catalogPath` - catalog path, resource tree real path.

### setDataSource

    public void setDataSource(java.lang.String dataSource)

  Sets data source of this `CRDInfo`.

  Parameters:
    `dataSource` - data source of this `CRDInfo`.

### setQueryName

    public void setQueryName(java.lang.String queryName)

  Sets query name of this `CRDInfo`.

  Parameters:
    `queryName` - query name of this `CRDInfo`.

### setQueryType

    public void setQueryType(int queryType)

  Sets query type of this `CRDInfo`.

  Parameters:
    `queryType` - query type of this `CRDInfo`.

### getParamValues

    public java.util.Map<java.lang.String,java.lang.String[]> getParamValues()

  Returns parameter values.

  Returns:
    Map contains parameter value.

### getRuntimeParamValues

    public java.util.Map<java.lang.String,java.lang.String[]> getRuntimeParamValues()

  Returns runtime parameter values.

  Returns:
    Map contains parameter value.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the object if equals to this.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to be compared
  Returns:
    true means equals, otherwise return false.

### getTaskId

    public java.lang.String getTaskId()

  Gets task id.

  Returns:
    task id.

### setTaskId

    public void setTaskId(java.lang.String taskId)

  Sets task id.

  Parameters:
    `taskId` - task id.

### getCRDKey

    public CRDInfoKey getCRDKey()

  Gets `CRD` key.

  Returns:
    `CRD` key.

### getCacheType

    public int getCacheType()

### setCacheType

    public void setCacheType(int cacheType)

### getRunTimes

    public int getRunTimes()

  get how many times crd is run after crd created.

  Returns:
    how many times crd is run after crd created

### getRunDetails

    public java.util.Vector<CRDRunDetail> getRunDetails()

  get detailed info of every time crd run.

  Returns:
    detailed info of every time the cube run.

### toString

    public java.lang.String toString()

  Converts this object to string information.

  Overrides:
    `toString` in class `java.lang.Object`

### getLoginUser

    public java.lang.String getLoginUser()

### setLoginUser

    public void setLoginUser(java.lang.String loginUser)

### getStatus

    public short getStatus()

  get status of a cube, return value may be may be `STATUS_PENDING`, `STATUS_BUILDING`, `STATUS_BUILDING`, `STATUS_UPDATING`, `STATUS_COMPLETED`, or `STATUS_DISABLED`.

  Returns:
    status of the cube.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD